<?php
/**
 * Hooks and functions for option panel
 *
 * 
 * @package    auxin
 * @author     averta (c) 2010-2017
 * @link       http://averta.net

*/


/*-----------------------------------------------------------------------------------*/
/*  Push default option, if it is not set before
/*-----------------------------------------------------------------------------------*/

/**
 * Setup and store theme options if this is the first time on theme activation
 *
 * @return void
 */
function auxin_setup_theme_options() {
    // skip is the options were setup before
    if( get_option( THEME_ID.'_options', '' ) )
        return;

    // generate and save custon styles in css file
    add_action( 'admin_init', array( Auxin_Option::api()->controller, 'save_custom_assets') , 12 );
}

add_action( 'admin_init'        , 'auxin_setup_theme_options' );
add_action( 'after_switch_theme', 'auxin_setup_theme_options' ); // trigger when theme will be actived, WP 3.3


/**
 * Save custom styles on theme activation
 *
 * @return void
 */
function auxin_save_styles_on_theme_activation() {
    add_action( 'admin_init', array( Auxin_Option::api()->controller, 'save_custom_assets' ), 12 );
    flush_rewrite_rules();
}

add_action( 'after_switch_theme', 'auxin_save_styles_on_theme_activation' );
