<?php
/**
 * The header of all pages.
 *
 * Displays all of the <head> section and everything up till <main id="main">
 *
 * 
 * @package    auxin
 * @author     averta (c) 2010-2017
 * @link       http://averta.net

 */
 global $page, $post, $this_page; $this_page = $post;
?>
<!DOCTYPE html>
<!--[if IE 7]>    <html class="no-js oldie ie7 ie" <?php language_attributes(); ?> > <![endif]-->
<!--[if IE 8]>    <html class="no-js oldie ie8 ie" <?php language_attributes(); ?> > <![endif]-->
<!--[if IE 9 ]>   <html class="no-js       ie9 ie" <?php language_attributes(); ?> > <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html class="no-js" <?php language_attributes(); ?> > <!--<![endif]-->
<head>
        <meta charset="<?php bloginfo( 'charset' ); ?>" >
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- devices setting -->
        <meta name="viewport"   content="initial-scale=1<?php echo auxin_get_option( 'enable_site_reponsiveness', 1 ) ? ',user-scalable=no,width=device-width' : ''; ?>">
        <!-- pingback -->
        <link rel="pingback"    href="<?php bloginfo( 'pingback_url' ); ?>" />

<!-- outputs by wp_head -->
<?php wp_head(); ?>
<!-- end wp_head -->

</head>


<body <?php body_class(); auxin_dom_attributes( 'body' );?>>

<?php do_action( "auxin_after_body_open", $post ); ?>

<div id="inner-body">


<?php
    if( auxin_get_option('show_topheader') ) {
?>
    <div id="top-header" class="aux-top-header aux-territory aux-<?php echo esc_attr( auxin_get_option('site_header_width') ); ?>-container">
        <div class="aux-wrapper aux-float-layout">

            <?php echo auxin_get_top_header_markup(); ?>

        </div><!-- end wrapper -->
    </div><!-- end top header -->
<?php
    }


    do_action( 'auxin_before_the_header', $post );


    // if site_header_top_layout sets on no-header not generating header
    if ( 'no-header' !== ( $top_header_layout = auxin_get_header_layout() ) ) {
    ?>
    <header id="site-header" <?php auxin_dom_attributes('site_header'); ?>>
        <div class="aux-wrapper">
            <div class="container aux-fold">

            <?php echo $top_header_layout  ?>

            </div><!-- end of container -->
        </div><!-- end of wrapper -->
    </header><!-- end header -->
    <?php
    }


    do_action( 'auxin_before_the_content' );
